Bug 211480 - New installation numbers should get written to disk
New installation numbers should get written to disk
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rhn-client-tools (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pradeep Kilambi
:
Depends On:
Blocks: 207171
  Show dependency treegraph
 
Reported: 2006-10-19 13:18 EDT by Daniel Benamy
Modified: 2013-01-10 05:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-13 11:48:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Benamy 2006-10-19 13:18:14 EDT
If hardware info is automatically activated, the resulting IN should be written
to disk (overwriting any existing IN). If any INs are activated from the access
a subscription screen, the most recent one should be written to disk.
Comment 1 Daniel Benamy 2006-10-20 15:44:42 EDT
r104651 should fix this. I didn't test every possible case though.
Comment 2 Ken Ganong 2006-10-25 15:23:45 EDT
Using rhn_register TUI, I used a debugging installation number and successfully
registered the system.
No file exists in /etc/sysconfig/rhn/install-num

rhn_register (Red Hat Network Client Tools) 0.2.5-1.el5
Comment 3 RHEL Product and Program Management 2006-10-26 15:05:43 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 Pradeep Kilambi 2006-10-30 16:41:35 EST
added a fix in tui to save the install num to disk when a subscriptionWindow is
called.

to test, remove any available install num and rhn_register --nox it should
create a new install_num file and wirte the num to disk under
/etc/sysconfig/rhn/install-num 
Comment 5 Ken Ganong 2006-11-10 14:57:16 EST
The install-num file is written to disk after it has successfully been
determined to produce entitlements.

Verified as of rhn_register (Red Hat Network Client Tools) 0.3.2-1.el5

Note You need to log in before you can comment on or make changes to this bug.